gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object An object that gets invoked at the beginning of an application but before the application main loop starts. It's used largely for application setup--- for example, reading RC files.
- Constructor
  2.12.0.0
  Default constructor
- Method
  2.12.0.0
  System.Void `` a Registers a function to be called when the mainloop is started.
- Method
  2.12.0.0
  System.Boolean `` The command line arguments passed in. Changed if any arguments were handled. Initializes Gtk# for operation, probes window system. True if the toolkit initialized correctly, false otherwise. Aside from the arguments, this function behaves in the same way as . By returning whether or not the toolkit initialized correctly, it allows the application to fall back to a non-GUI interface, should the developer be so inclined to write one.